h2 Staff List

form-message(message="$ctrl.message")

a.btn.btn-success(ng-href="/staff/new")
    span.glyphicon.glyphicon-plus-sign Add Staff

table.table.table-striped.table-hover.table-condensed
    thead
        th &nbsp;
        th(ng-click="$ctrl.actions.sort('id');")
            span.glyphicon(ng-class="$ctrl.events.sort('id')")
                b &nbsp;ID
        th(ng-click="$ctrl.actions.sort('fname');")
            span.glyphicon(ng-class="$ctrl.events.sort('fname')")
                b &nbsp;First Name
        th(ng-click="$ctrl.actions.sort('lname');")
            span.glyphicon(ng-class="$ctrl.events.sort('lname')")
                b &nbsp;Last Name
        th(ng-click="$ctrl.actions.sort('position_id');")
            span.glyphicon(ng-class="$ctrl.events.sort('position_id')")
                b &nbsp;Position
        th(ng-click="$ctrl.actions.sort('revenue');")
            span.glyphicon(ng-class="$ctrl.events.sort('revenue')")
                b &nbsp;Revenue
        th(ng-click="$ctrl.actions.sort('description');")
            span.glyphicon(ng-class="$ctrl.events.sort('description')")
                b &nbsp;Description
        th &nbsp;
    tbody
        tr(ng-repeat="staff in $ctrl.staff")
            td
                a.btn.btn-primary.btn-xs(ng-href='/staff/{{staff.id}}')
                    span.glyphicon.glyphicon-pencil
            td
                a(ng-href='/staff/{{staff.id}}') {{ staff.id }}
            td
                a(ng-href='/staff/{{staff.id}}') {{ staff.fname }}
            td
                a(ng-href='/staff/{{staff.id}}') {{ staff.lname }}
            td
                a(ng-href="/positions/{{staff.position_id}}") {{ $ctrl.actions.viewPosition(staff.position_id); }}
            td {{ staff.revenue }} EUR
            td {{ staff.description }}
            td
                button.btn.btn-danger.btn-xs(ng-click="$ctrl.actions.remove(staff.id)")
                    span.glyphicon.glyphicon-remove